Skip to main content
POST
/
api
/
v1
/
settlements
cURL
curl --request POST \
  --url https://vpos.payven.com.tr/api/v1/settlements \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json; ver=1.0' \
  --data '
{
  "merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "periodStart": "2023-12-25",
  "periodEnd": "2023-12-25",
  "bankCode": "<string>",
  "currency": "<string>",
  "grossAmount": 123,
  "refundAmount": 123,
  "bankCommission": 123,
  "platformCommission": 123,
  "netAmount": 123,
  "transactionCount": 123,
  "refundCount": 123,
  "notes": "<string>"
}
'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

merchantId
string<uuid>
periodStart
string<date>
periodEnd
string<date>
bankCode
string | null
currency
string | null
grossAmount
integer<int64>
refundAmount
integer<int64>
bankCommission
integer<int64>
platformCommission
integer<int64>
netAmount
integer<int64>
transactionCount
integer<int32>
refundCount
integer<int32>
notes
string | null

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
unknown